%define major		0
%define libname		%mklibname routino %{major}
%define develname	%mklibname routino -d

Summary:	Router for OpenStreetMap Data
Name:		routino
Version:	3.4.1
Release:	%mkrel 2
License:	AGPLv3+
Group:		File tools
URL:		https://www.routino.org/
Source0:	https://www.routino.org/download/routino-%{version}.tgz
# https://github.com/sharkcz/routino/commits/fedora
Patch0:		routino-3.4-fedora.patch
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(zlib)
# xz-devel > pkgconfig(liblzma)
BuildRequires:	pkgconfig(liblzma)

%description
Routino is a command-line application for finding a route between two points
using the dataset of topographical information collected by OpenStreetMap. It
can be used as a routing tool in Marble.

%package -n	%{libname}
Summary:	Shared routino library
Group:		System/Libraries

%description -n	%{libname}
Routino is a command-line application for finding a route between two points
using the dataset of topographical information collected by OpenStreetMap. It
can be used as a routing tool in Marble.

This package provides the shared %{name} library.

%package -n	%{develname}
Summary:	Development files for the %{name} library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} >= %{version}-%{release}

%description -n	%{develname}
Routino is a command-line application for finding a route between two points
using the dataset of topographical information collected by OpenStreetMap. It
can be used as a routing tool in Marble.

This package contains development files for the %{name} library.

%prep
%setup -q
%patch -P 0 -p1 -b .fedora

# cleanup
rm -f INSTALL*.txt doc/INSTALL*.txt doc/html/installation.html

# The web stuff needs more work to be packaged. The makefiles will copy things
# into the web directory if it's present, so get rid of it now.
rm -rf web

# Upstream builds but does not install extras. Don't waste build time, nor
# bother fixing the parallel make breakage there.
rm -rf extras

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"

%make_build

%install
%make_install libdir=%{_libdir}

%files
%license agpl-3.0.txt
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}-*
%{_datadir}/%{name}/

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 3.4.1-2.mga10
+ Revision: 2128152
- Rebuild for patchN deprecation

* Thu Aug 31 2023 daviddavid <daviddavid> 3.4.1-1.mga10
+ Revision: 1982098
- new version: 3.4.1

* Fri Mar 18 2022 umeabot <umeabot> 3.3.3-2.mga9
+ Revision: 1797841
- Mageia 9 Mass Rebuild

* Mon Jan 04 2021 daviddavid <daviddavid> 3.3.3-1.mga8
+ Revision: 1668544
- new version: 3.3.3

* Sun Feb 16 2020 umeabot <umeabot> 3.3.2-2.mga8
+ Revision: 1533858
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 daviddavid <daviddavid> 3.3.2-1.mga8
+ Revision: 1445539
- new version: 3.3.2

* Thu Sep 12 2019 daviddavid <daviddavid> 3.3.1-1.mga8
+ Revision: 1440074
- new version: 3.3.1

* Mon Sep 09 2019 daviddavid <daviddavid> 3.3-1.mga8
+ Revision: 1438685
- new version: 3.3

* Sun Sep 23 2018 umeabot <umeabot> 3.2-2.mga7
+ Revision: 1300848
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 daviddavid <daviddavid> 3.2-1.mga7
+ Revision: 1218889
- new version: 3.2
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 17 2015 oden <oden> 3.0-2.mga6
+ Revision: 903777
- P7: add global Routino_Version

* Sun Sep 20 2015 oden <oden> 3.0-1.mga6
+ Revision: 881874
- imported package routino

